Name:		fio
Version:	2.2.13
Release:	1
Summary:	Multithreaded IO generation tool
Group:		Applications/System
License:	GPLv2
URL:		http://git.kernel.dk/?p=fio.git;a=summary
Source0:	http://brick.kernel.dk/snaps/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-aix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	AIX-rpm >= 5.3.0.0, zlib-devel, make, gcc >= 4.5.4-1, coreutils
BuildRequires:	patch, tar
BuildRequires:	python >= 2.6.2
Requires:	AIX-rpm >= 5.3.0.0, zlib
Requires:	python >= 2.6.2

%description
fio is an I/O tool that will spawn a number of threads or processes doing
a particular type of io action as specified by the user.  fio takes a
number of global parameters, each inherited by the thread unless
otherwise parameters given to them overriding that setting is given.
The typical use of fio is to write a job file matching the io load
one wants to simulate.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0


%build
export PATH=/opt/freeware/bin:$PATH
gmake CC="gcc -pthread"


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH
gmake install prefix=%{_prefix} mandir=%{_mandir} DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
echo ""
echo "Please note that POSIX aio may not be enabled by default on AIX."
echo "If you get messages like:"
echo ""
echo "    Symbol resolution failed for /usr/lib/libc.a(posix_aio.o) because:"
echo "        Symbol _posix_kaio_rdwr (number 2) is not exported from dependent module /unix."
echo ""
echo "you need to enable POSIX aio. Run the following commands as root:"
echo ""
echo "    # lsdev -C -l posix_aio0"
echo "        posix_aio0 Defined  Posix Asynchronous I/O"
echo "    # cfgmgr -l posix_aio0"
echo "    # lsdev -C -l posix_aio0"
echo "        posix_aio0 Available  Posix Asynchronous I/O"
echo ""
echo "POSIX aio should work now. To make the change permanent:"
echo ""
echo "    # chdev -l posix_aio0 -P -a autoconfig='available'"
echo "        posix_aio0 changed"
echo ""


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README REPORTING-BUGS COPYING HOWTO examples
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.13-1
- updated to version 2.2.13

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.12-1
- updated to version 2.2.12

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.11-1
- updated to version 2.2.11

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.10-1
- updated to version 2.2.10

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.9-1
- updated to version 2.2.9

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.8-1
- updated to version 2.2.8

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.7-1
- updated to version 2.2.7

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.6-1
- updated to version 2.2.6

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.5-1
- updated to version 2.2.5

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.4-1
- updated to version 2.2.4

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.3-1
- updated to version 2.2.3

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.2-1
- updated to version 2.2.2

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.1-1
- updated to version 2.2.1

* Thu Mar 03 2016 Michael Perzl <michael@perzl.org> - 2.2.0-1
- updated to version 2.2.0

* Wed Nov 18 2014 Michael Perzl <michael@perzl.org> - 2.1.14-1
- updated to version 2.1.14

* Mon Oct 13 2014 Michael Perzl <michael@perzl.org> - 2.1.13-1
- updated to version 2.1.13

* Thu Sep 18 2014 Michael Perzl <michael@perzl.org> - 2.1.12-1
- updated to version 2.1.12

* Fri Aug 15 2014 Michael Perzl <michael@perzl.org> - 2.1.11-1
- updated to version 2.1.11

* Wed Jun 11 2014 Michael Perzl <michael@perzl.org> - 2.1.10-1
- updated to version 2.1.10

* Wed May 28 2014 Michael Perzl <michael@perzl.org> - 2.1.9-1
- updated to version 2.1.9

* Wed May 28 2014 Michael Perzl <michael@perzl.org> - 2.1.8-1
- updated to version 2.1.8

* Tue Apr 01 2014 Michael Perzl <michael@perzl.org> - 2.1.7-1
- updated to version 2.1.7

* Sun Mar 09 2014 Michael Perzl <michael@perzl.org> - 2.1.6.1-1
- updated to version 2.1.6.1

* Sun Mar 09 2014 Michael Perzl <michael@perzl.org> - 2.1.5-1
- updated to version 2.1.5

* Tue Nov 19 2013 Michael Perzl <michael@perzl.org> - 2.1.4-1
- updated to version 2.1.4

* Tue Nov 19 2013 Michael Perzl <michael@perzl.org> - 2.1.3-1
- updated to version 2.1.3

* Thu Aug 08 2013 Michael Perzl <michael@perzl.org> - 2.1.2-1
- updated to version 2.1.2

* Wed Jun 12 2013 Michael Perzl <michael@perzl.org> - 2.1.1-1
- updated to version 2.1.1

* Thu May 16 2013 Michael Perzl <michael@perzl.org> - 2.1-1
- updated to version 2.1

* Tue Apr 09 2013 Michael Perzl <michael@perzl.org> - 2.0.15-1
- updated to version 2.0.15

* Sat Feb 23 2013 Michael Perzl <michael@perzl.org> - 2.0.14-1
- updated to version 2.0.14

* Thu Jan 10 2013 Michael Perzl <michael@perzl.org> - 2.0.13-1
- updated to version 2.0.13

* Thu Dec 20 2012 Michael Perzl <michael@perzl.org> - 2.0.12.2-1
- updated to version 2.0.12.2

* Thu Oct 11 2012 Michael Perzl <michael@perzl.org> - 2.0.10-1
- updated to version 2.0.10

* Thu Aug 23 2012 Michael Perzl <michael@perzl.org> - 2.0.9-1
- updated to version 2.0.9

* Tue Jun 12 2012 Michael Perzl <michael@perzl.org> - 2.0.8-1
- updated to version 2.0.8

* Fri Apr 13 2012 Michael Perzl <michael@perzl.org> - 2.0.7-1
- updated to version 2.0.7

* Fri Mar 23 2012 Michael Perzl <michael@perzl.org> - 2.0.6-1
- updated to version 2.0.6

* Tue Mar 13 2012 Michael Perzl <michael@perzl.org> - 2.0.5-1
- updated to version 2.0.5

* Fri Feb 24 2012 Michael Perzl <michael@perzl.org> - 2.0.4-1
- updated to version 2.0.4

* Tue Feb 07 2012 Michael Perzl <michael@perzl.org> - 2.0.3-1
- updated to version 2.0.3

* Mon Feb 06 2012 Michael Perzl <michael@perzl.org> - 2.0.2-1
- updated to version 2.0.2

* Sun Dec 18 2011 Michael Perzl <michael@perzl.org> - 2.0-1
- updated to version 2.0

* Thu Nov 17 2011 Michael Perzl <michael@perzl.org> - 1.99.12-1
- updated to version 1.99.12

* Thu Nov 17 2011 Michael Perzl <michael@perzl.org> - 1.60.2-1
- updated to version 1.60.2

* Fri Sep 16 2011 Michael Perzl <michael@perzl.org> - 1.58-1
- updated to version 1.58

* Tue Aug 02 2011 Michael Perzl <michael@perzl.org> - 1.57-1
- updated to version 1.57

* Wed Jul 13 2011 Michael Perzl <michael@perzl.org> - 1.56-1
- updated to version 1.56

* Mon May 30 2011 Michael Perzl <michael@perzl.org> - 1.55-1
- updated to version 1.55

* Fri May 13 2011 Michael Perzl <michael@perzl.org> - 1.54-1
- updated to version 1.54

* Thu May 05 2011 Michael Perzl <michael@perzl.org> - 1.53-1
- updated to version 1.53

* Fri Apr 29 2011 Michael Perzl <michael@perzl.org> - 1.52-1
- updated to version 1.52

* Wed Jan 26 2011 Michael Perzl <michael@perzl.org> - 1.50-1
- updated to version 1.50

* Tue Dec 21 2010 Michael Perzl <michael@perzl.org> - 1.44.3-1
- updated to version 1.44.3

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.44.2-1
- updated to version 1.44.2

* Fri Nov 05 2010 Michael Perzl <michael@perzl.org> - 1.44.1-1
- first version for AIX V5.3 and higher
